
From: Andrew Morton <akpm@osdl.org>

-mm-only for now: davem's tree changes netlink_kernel_create().

Cc: James Bottomley <James.Bottomley@steeleye.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/scsi/scsi_transport_iscsi.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/scsi/scsi_transport_iscsi.c~git-scsi-iscsi-vs-git-net drivers/scsi/scsi_transport_iscsi.c
--- devel/drivers/scsi/scsi_transport_iscsi.c~git-scsi-iscsi-vs-git-net	2005-08-07 00:28:50.000000000 -0700
+++ devel-akpm/drivers/scsi/scsi_transport_iscsi.c	2005-08-07 00:29:13.000000000 -0700
@@ -1230,7 +1230,7 @@ static __init int iscsi_transport_init(v
 	if (err)
 		goto unregister_session_class;
 
-	nls = netlink_kernel_create(NETLINK_ISCSI, iscsi_if_rx);
+	nls = netlink_kernel_create(NETLINK_ISCSI, iscsi_if_rx, THIS_MODULE);
 	if (!nls) {
 		err = -ENOBUFS;
 		goto unregister_notifier;
_
